"use strict";
/*

sell_equipment script

Script for selling the standard Oolite equipment, and some items more.


Oolite
Copyright © 2003-2013 Giles C Williams and contributors

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
MA 02110-1301, USA.


sell_equipment.oxp
Copyright © 2008-2013 "Commander McLane"

This work is licensed under the Creative Commons
Attribution-Noncommercial-Share Alike 3.0 Unported License.

To view a copy of this license, visit
http://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter
to Creative Commons, 171 Second Street, Suite 300, San Francisco,
California, 94105, USA.

*/


this.name           = "sell_equipment";
this.description    = "script for selling equipment";
this.author         = "Commander McLane";
this.copyright      = "© 2013 Commander McLane";
this.license		= "CC-by-nc-sa 3.0";
this.version        = "1.5";


/* variables */

this.equipment_key = new Array(
	"EQ_CARGO_BAY",
	"EQ_ECM",
	"EQ_FUEL_SCOOPS",
	"EQ_ESCAPE_POD",
	"EQ_ENERGY_BOMB",
	"EQ_ENERGY_UNIT",
	"EQ_NAVAL_ENERGY_UNIT",
	"EQ_DOCK_COMP",
	"EQ_GAL_DRIVE",
	"EQ_CLOAKING_DEVICE",
	"EQ_FUEL_INJECTION",
	"EQ_SCANNER_SHOW_MISSILE_TARGET",
	"EQ_MULTI_TARGET",
	"EQ_ADVANCED_COMPASS",
	"EQ_ADVANCED_NAVIGATIONAL_ARRAY",
	"EQ_TARGET_MEMORY",
	"EQ_SHIELD_BOOSTER",
	"EQ_NAVAL_SHIELD_BOOSTER",
	"EQ_HEAT_SHIELD",
	"EQ_WORMHOLE_SCANNER",
	"EQ_MILITARY_JAMMER",
	"EQ_MILITARY_SCANNER_FILTER",
	"EQ_FRAME_BOUNTY_SCANNER",
	"EQ_CHAFF_LAUNCHER",
	"EQ_EEU",
	"EQ_FRAME_FUEL_COLLECTOR",
	"EQ_ORE_PROCESSOR",
	"EQ_ROCKHERMIT_SCANNER"
);


/* event handler */

this.playerBoughtEquipment = function(equipmentKey)
{
	for(var i = 0; i < this.equipment_key.length; i++)
	{
		if(equipmentKey == this.equipment_key[i] + "_REMOVAL")
		{
			player.ship.removeEquipment(this.equipment_key[i]);
			player.ship.removeEquipment(this.equipment_key[i] + "_REMOVAL");
			if(player.ship.equipmentStatus(this.equipment_key[i]) === "EQUIPMENT_UNAVAILABLE")
            {
                player.credits += (EquipmentInfo.infoForKey(this.equipment_key[i]).price * 0.1 * 0.6);
            }
            else
            {
                player.credits += 10;
            }
			break;
		}
	}
}

/*

Idee: Den Wiederverkaufspreis vom TL abhängig machen. Je niedriger, desto mehr Geld.
Eventuell den WiederverkaufsTL senken. Warum sollten nicht rückständige Systeme fortschrittliche Technik
kaufen wollen, für teuer Geld?
Entscheidend müsste die Differenz zwischen SystemTL und KaufTL sein.

*/
